Get ASIC Historical Releases
/asic/release-history has rate limitation:
Initially, the API allows for a burst of 20 requests, and afterward, it gradually restores 1 request every 15 seconds until reaching the maximum allowable limit of 20. This limitation is imposed to manage and control the rate at which requests can be made to the API, preventing potential misuse or excessive use of resources.
ASIC Release History
This endpoint provides a historical overview of ASIC model releases by various manufacturers. It helps track technological advancements and the evolution of mining hardware over time.
Authorization
ApiKeyAuth In: header
Query Parameters
ASIC manufacturer slug. Refer to the Get ASIC manufacturers to get the list of allowed slugs
"all"ASIC model slug. Refer to the Get ASIC models to get the list of allowed slugs
"all"Starting Release date
dateResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/asic/release-history?manufacturerSlug=bitmain&modelSlug=bitmain-antminer-s19j-90th&releaseDate=2021-01-01"{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ASICReleaseHistoryData.json", "data": [ { "algorithm": "string", "efficiency": 0, "hashrate": 0.1, "manufacturer": "string", "modelName": "string", "releaseDate": "2019-08-24T14:15:22Z", "watts": 0 } ]}{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "errors": [ { "location": "string", "message": "string", "value": null } ], "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "https://example.com/errors/example"}{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "errors": [ { "location": "string", "message": "string", "value": null } ], "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "https://example.com/errors/example"}{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "errors": [ { "location": "string", "message": "string", "value": null } ], "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "https://example.com/errors/example"}